package com.ruoyi.project.patrol.fire.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.patrol.fire.mapper.TFireWeathervaneMapper;
import com.ruoyi.project.patrol.fire.domain.TFireWeathervane;
import com.ruoyi.project.patrol.fire.service.ITFireWeathervaneService;

/**
 * 风向标/风向袋/新风系统正压计Service业务层处理
 * 
 * @author admin
 * @date 2023-11-06
 */
@Service
public class TFireWeathervaneServiceImpl implements ITFireWeathervaneService 
{
    @Autowired
    private TFireWeathervaneMapper tFireWeathervaneMapper;

    /**
     * 查询风向标/风向袋/新风系统正压计
     * 
     * @param id 风向标/风向袋/新风系统正压计主键
     * @return 风向标/风向袋/新风系统正压计
     */
    @Override
    public TFireWeathervane selectTFireWeathervaneById(Long id)
    {
        return tFireWeathervaneMapper.selectTFireWeathervaneById(id);
    }

    /**
     * 查询风向标/风向袋/新风系统正压计列表
     * 
     * @param tFireWeathervane 风向标/风向袋/新风系统正压计
     * @return 风向标/风向袋/新风系统正压计
     */
    @Override
    public List<TFireWeathervane> selectTFireWeathervaneList(TFireWeathervane tFireWeathervane)
    {
        return tFireWeathervaneMapper.selectTFireWeathervaneList(tFireWeathervane);
    }

    /**
     * 新增风向标/风向袋/新风系统正压计
     * 
     * @param tFireWeathervane 风向标/风向袋/新风系统正压计
     * @return 结果
     */
    @Override
    public int insertTFireWeathervane(TFireWeathervane tFireWeathervane)
    {
        return tFireWeathervaneMapper.insertTFireWeathervane(tFireWeathervane);
    }

    /**
     * 修改风向标/风向袋/新风系统正压计
     * 
     * @param tFireWeathervane 风向标/风向袋/新风系统正压计
     * @return 结果
     */
    @Override
    public int updateTFireWeathervane(TFireWeathervane tFireWeathervane)
    {
        return tFireWeathervaneMapper.updateTFireWeathervane(tFireWeathervane);
    }

    /**
     * 批量删除风向标/风向袋/新风系统正压计
     * 
     * @param ids 需要删除的风向标/风向袋/新风系统正压计主键
     * @return 结果
     */
    @Override
    public int deleteTFireWeathervaneByIds(Long[] ids)
    {
        return tFireWeathervaneMapper.deleteTFireWeathervaneByIds(ids);
    }

    /**
     * 删除风向标/风向袋/新风系统正压计信息
     * 
     * @param id 风向标/风向袋/新风系统正压计主键
     * @return 结果
     */
    @Override
    public int deleteTFireWeathervaneById(Long id)
    {
        return tFireWeathervaneMapper.deleteTFireWeathervaneById(id);
    }
}
